Package org.eclipse.cdt.core.model

## Interface IBufferChangedListener

All Known Subinterfaces:
  `IArchive`, `IArchiveContainer`, `IBinary`, `IBinaryContainer`, `ICContainer`, `ICModel`, `ICProject`, `IOpenable`, `ISourceRoot`, `ITranslationUnit`, `IWorkingCopy`

    public interface IBufferChangedListener

A listener, which gets notified when the contents of a specific buffer have changed, or when the buffer is closed. When a buffer is closed, the listener is notified after the buffer has been closed. A listener is not notified when a buffer is saved.

This interface may be implemented by clients.

This interface is similar to the JDT IBufferChangedListener interface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bufferChanged​(BufferChangedEvent event)` Notifies that the given event has occurred.

### Method Detail

#### bufferChanged

    void bufferChanged​(BufferChangedEvent event)

Notifies that the given event has occurred.

Parameters:
  `event` - the change event